#
# Matches for all programs.
#

matches:

  # つ
  - trigger: "tsu"
    word: true
    replace: "つ"
  - trigger: "tsu's"
    word: true
    replace: "つ's"

  # non-discord chats
  - trigger: "zo"
    word: true
    replace: "⚪O>"
  - trigger: "zt"
    word: true
    replace: "🔵つ>"
  - trigger: "zk"
    word: true
    replace: "🟣K>"
  - trigger: "zw"
    word: true
    replace: "🟢W>"
  - trigger: "zs"
    word: true
    replace: "🔴S>"
  - trigger: "zE"
    word: true
    replace: "⚫E>"

  # Puck
  - trigger: "z1"
    word: true
    replace: "⑴"
  - trigger: "z2"
    word: true
    replace: "⑵"
  - trigger: "z3"
    word: true
    replace: "⑶"

  # Dates
  - trigger: ":ndate"
    word: true
    replace: "{{fulldate}}"
    vars:
      - name: fulldate
        type: date
        params:
          format: "%A, %B %d, %Y"

  # Emoji
  - trigger: ":allemoji:"
    word: true
    replace: "🤍💙💜💚❤️🩶"
  - trigger: "zah"
    word: true
    replace: "🤍💙💜💚❤️🩶"
